-- data
require "data/animations"
require "data/shaders"
require "data/tiledata"
require "data/music"
require "data/sfx"
require "data/scripts/locale"
-- support functions
require "data/scripts/math"
require "data/scripts/hex"
require "data/scripts/in_out"
-- classes
require "data/scripts/audio"
require "data/scripts/entity"
require "data/scripts/animation"
require "data/scripts/collision"
require "data/scripts/level"
require "data/scripts/camera"
require "data/scripts/lights"
require "data/scripts/objects"
-- UI functions
require "data/scripts/debug"
require "data/scripts/keybind"
require "data/scripts/menu"
require "data/scripts/ui"
-- game loop
require "data/scripts/game"
require "data/scripts/gameworld"
require "data/scripts/editor"
